package com.hfkj.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsTradeOrderProfitSharingReceiverExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsTradeOrderProfitSharingReceiverExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdIsNull() {
            addCriterion("trade_order_profit_sharing_id is null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdIsNotNull() {
            addCriterion("trade_order_profit_sharing_id is not null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdEqualTo(Long value) {
            addCriterion("trade_order_profit_sharing_id =", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdNotEqualTo(Long value) {
            addCriterion("trade_order_profit_sharing_id <>", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdGreaterThan(Long value) {
            addCriterion("trade_order_profit_sharing_id >", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdGreaterThanOrEqualTo(Long value) {
            addCriterion("trade_order_profit_sharing_id >=", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdLessThan(Long value) {
            addCriterion("trade_order_profit_sharing_id <", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdLessThanOrEqualTo(Long value) {
            addCriterion("trade_order_profit_sharing_id <=", value, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdIn(List<Long> values) {
            addCriterion("trade_order_profit_sharing_id in", values, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdNotIn(List<Long> values) {
            addCriterion("trade_order_profit_sharing_id not in", values, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdBetween(Long value1, Long value2) {
            addCriterion("trade_order_profit_sharing_id between", value1, value2, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderProfitSharingIdNotBetween(Long value1, Long value2) {
            addCriterion("trade_order_profit_sharing_id not between", value1, value2, "tradeOrderProfitSharingId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIsNull() {
            addCriterion("trade_order_id is null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIsNotNull() {
            addCriterion("trade_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdEqualTo(Long value) {
            addCriterion("trade_order_id =", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotEqualTo(Long value) {
            addCriterion("trade_order_id <>", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdGreaterThan(Long value) {
            addCriterion("trade_order_id >", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("trade_order_id >=", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdLessThan(Long value) {
            addCriterion("trade_order_id <", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("trade_order_id <=", value, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdIn(List<Long> values) {
            addCriterion("trade_order_id in", values, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotIn(List<Long> values) {
            addCriterion("trade_order_id not in", values, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdBetween(Long value1, Long value2) {
            addCriterion("trade_order_id between", value1, value2, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("trade_order_id not between", value1, value2, "tradeOrderId");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIsNull() {
            addCriterion("trade_order_no is null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIsNotNull() {
            addCriterion("trade_order_no is not null");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoEqualTo(String value) {
            addCriterion("trade_order_no =", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotEqualTo(String value) {
            addCriterion("trade_order_no <>", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoGreaterThan(String value) {
            addCriterion("trade_order_no >", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoGreaterThanOrEqualTo(String value) {
            addCriterion("trade_order_no >=", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLessThan(String value) {
            addCriterion("trade_order_no <", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLessThanOrEqualTo(String value) {
            addCriterion("trade_order_no <=", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoLike(String value) {
            addCriterion("trade_order_no like", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotLike(String value) {
            addCriterion("trade_order_no not like", value, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoIn(List<String> values) {
            addCriterion("trade_order_no in", values, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotIn(List<String> values) {
            addCriterion("trade_order_no not in", values, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoBetween(String value1, String value2) {
            addCriterion("trade_order_no between", value1, value2, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andTradeOrderNoNotBetween(String value1, String value2) {
            addCriterion("trade_order_no not between", value1, value2, "tradeOrderNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountIsNull() {
            addCriterion("profit_sharing_amount is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountIsNotNull() {
            addCriterion("profit_sharing_amount is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amount =", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountNotEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amount <>", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountGreaterThan(BigDecimal value) {
            addCriterion("profit_sharing_amount >", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amount >=", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountLessThan(BigDecimal value) {
            addCriterion("profit_sharing_amount <", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_amount <=", value, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_amount in", values, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountNotIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_amount not in", values, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_amount between", value1, value2, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andProfitSharingAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_amount not between", value1, value2, "profitSharingAmount");
            return (Criteria) this;
        }

        public Criteria andRatioIsNull() {
            addCriterion("ratio is null");
            return (Criteria) this;
        }

        public Criteria andRatioIsNotNull() {
            addCriterion("ratio is not null");
            return (Criteria) this;
        }

        public Criteria andRatioEqualTo(BigDecimal value) {
            addCriterion("ratio =", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotEqualTo(BigDecimal value) {
            addCriterion("ratio <>", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioGreaterThan(BigDecimal value) {
            addCriterion("ratio >", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ratio >=", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioLessThan(BigDecimal value) {
            addCriterion("ratio <", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ratio <=", value, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioIn(List<BigDecimal> values) {
            addCriterion("ratio in", values, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotIn(List<BigDecimal> values) {
            addCriterion("ratio not in", values, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ratio between", value1, value2, "ratio");
            return (Criteria) this;
        }

        public Criteria andRatioNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ratio not between", value1, value2, "ratio");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeIsNull() {
            addCriterion("receiver_object_type is null");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeIsNotNull() {
            addCriterion("receiver_object_type is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeEqualTo(Integer value) {
            addCriterion("receiver_object_type =", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeNotEqualTo(Integer value) {
            addCriterion("receiver_object_type <>", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeGreaterThan(Integer value) {
            addCriterion("receiver_object_type >", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("receiver_object_type >=", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeLessThan(Integer value) {
            addCriterion("receiver_object_type <", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeLessThanOrEqualTo(Integer value) {
            addCriterion("receiver_object_type <=", value, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeIn(List<Integer> values) {
            addCriterion("receiver_object_type in", values, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeNotIn(List<Integer> values) {
            addCriterion("receiver_object_type not in", values, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeBetween(Integer value1, Integer value2) {
            addCriterion("receiver_object_type between", value1, value2, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("receiver_object_type not between", value1, value2, "receiverObjectType");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdIsNull() {
            addCriterion("receiver_object_id is null");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdIsNotNull() {
            addCriterion("receiver_object_id is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdEqualTo(String value) {
            addCriterion("receiver_object_id =", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdNotEqualTo(String value) {
            addCriterion("receiver_object_id <>", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdGreaterThan(String value) {
            addCriterion("receiver_object_id >", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_object_id >=", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdLessThan(String value) {
            addCriterion("receiver_object_id <", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdLessThanOrEqualTo(String value) {
            addCriterion("receiver_object_id <=", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdLike(String value) {
            addCriterion("receiver_object_id like", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdNotLike(String value) {
            addCriterion("receiver_object_id not like", value, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdIn(List<String> values) {
            addCriterion("receiver_object_id in", values, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdNotIn(List<String> values) {
            addCriterion("receiver_object_id not in", values, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdBetween(String value1, String value2) {
            addCriterion("receiver_object_id between", value1, value2, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverObjectIdNotBetween(String value1, String value2) {
            addCriterion("receiver_object_id not between", value1, value2, "receiverObjectId");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIsNull() {
            addCriterion("receiver_no is null");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIsNotNull() {
            addCriterion("receiver_no is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverNoEqualTo(String value) {
            addCriterion("receiver_no =", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotEqualTo(String value) {
            addCriterion("receiver_no <>", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoGreaterThan(String value) {
            addCriterion("receiver_no >", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_no >=", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLessThan(String value) {
            addCriterion("receiver_no <", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLessThanOrEqualTo(String value) {
            addCriterion("receiver_no <=", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoLike(String value) {
            addCriterion("receiver_no like", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotLike(String value) {
            addCriterion("receiver_no not like", value, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoIn(List<String> values) {
            addCriterion("receiver_no in", values, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotIn(List<String> values) {
            addCriterion("receiver_no not in", values, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoBetween(String value1, String value2) {
            addCriterion("receiver_no between", value1, value2, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverNoNotBetween(String value1, String value2) {
            addCriterion("receiver_no not between", value1, value2, "receiverNo");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountIsNull() {
            addCriterion("receiver_account is null");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountIsNotNull() {
            addCriterion("receiver_account is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountEqualTo(String value) {
            addCriterion("receiver_account =", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountNotEqualTo(String value) {
            addCriterion("receiver_account <>", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountGreaterThan(String value) {
            addCriterion("receiver_account >", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_account >=", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountLessThan(String value) {
            addCriterion("receiver_account <", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountLessThanOrEqualTo(String value) {
            addCriterion("receiver_account <=", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountLike(String value) {
            addCriterion("receiver_account like", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountNotLike(String value) {
            addCriterion("receiver_account not like", value, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountIn(List<String> values) {
            addCriterion("receiver_account in", values, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountNotIn(List<String> values) {
            addCriterion("receiver_account not in", values, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountBetween(String value1, String value2) {
            addCriterion("receiver_account between", value1, value2, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverAccountNotBetween(String value1, String value2) {
            addCriterion("receiver_account not between", value1, value2, "receiverAccount");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIsNull() {
            addCriterion("receiver_name is null");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIsNotNull() {
            addCriterion("receiver_name is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverNameEqualTo(String value) {
            addCriterion("receiver_name =", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotEqualTo(String value) {
            addCriterion("receiver_name <>", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameGreaterThan(String value) {
            addCriterion("receiver_name >", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_name >=", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLessThan(String value) {
            addCriterion("receiver_name <", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLessThanOrEqualTo(String value) {
            addCriterion("receiver_name <=", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameLike(String value) {
            addCriterion("receiver_name like", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotLike(String value) {
            addCriterion("receiver_name not like", value, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameIn(List<String> values) {
            addCriterion("receiver_name in", values, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotIn(List<String> values) {
            addCriterion("receiver_name not in", values, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameBetween(String value1, String value2) {
            addCriterion("receiver_name between", value1, value2, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverNameNotBetween(String value1, String value2) {
            addCriterion("receiver_name not between", value1, value2, "receiverName");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountIsNull() {
            addCriterion("receiver_amount is null");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountIsNotNull() {
            addCriterion("receiver_amount is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountEqualTo(BigDecimal value) {
            addCriterion("receiver_amount =", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountNotEqualTo(BigDecimal value) {
            addCriterion("receiver_amount <>", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountGreaterThan(BigDecimal value) {
            addCriterion("receiver_amount >", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("receiver_amount >=", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountLessThan(BigDecimal value) {
            addCriterion("receiver_amount <", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("receiver_amount <=", value, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountIn(List<BigDecimal> values) {
            addCriterion("receiver_amount in", values, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountNotIn(List<BigDecimal> values) {
            addCriterion("receiver_amount not in", values, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("receiver_amount between", value1, value2, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andReceiverAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("receiver_amount not between", value1, value2, "receiverAmount");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIsNull() {
            addCriterion("profit_sharing_time is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIsNotNull() {
            addCriterion("profit_sharing_time is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeEqualTo(Date value) {
            addCriterion("profit_sharing_time =", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotEqualTo(Date value) {
            addCriterion("profit_sharing_time <>", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeGreaterThan(Date value) {
            addCriterion("profit_sharing_time >", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("profit_sharing_time >=", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeLessThan(Date value) {
            addCriterion("profit_sharing_time <", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeLessThanOrEqualTo(Date value) {
            addCriterion("profit_sharing_time <=", value, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeIn(List<Date> values) {
            addCriterion("profit_sharing_time in", values, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotIn(List<Date> values) {
            addCriterion("profit_sharing_time not in", values, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeBetween(Date value1, Date value2) {
            addCriterion("profit_sharing_time between", value1, value2, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andProfitSharingTimeNotBetween(Date value1, Date value2) {
            addCriterion("profit_sharing_time not between", value1, value2, "profitSharingTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}